NXOpen .NET Reference  12.0.0
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.WeldPointExitBuilder Class Reference

Represents a NXOpen.Weld.WeldPointExitBuilder class used to pass welding object from the Weld Point command to a user callback. More...

Inheritance diagram for NXOpen.Weld.WeldPointExitBuilder:
NXOpen.GeometricUtilities.IComponentBuilder

Classes

struct  _FeatureInfo
 Structure used to identify newly created features.
 
struct  FeatureInfo
 Structure used to identify newly created features. More...
 

Public Types

enum  CommandName {
  None, WeldPoint, DatumLocator, MeasurementLocator,
  Jointmark, WeldPointWizard
}
 The command name used for the newly created features. More...
 
enum  MethodUsed {
  None, Mirror, Translate, GuideCurve,
  Points, GuideCurveMovedOff
}
 The method use to create the features. More...
 

Public Member Functions

unsafe void GetFeatureInformation (out NXOpen.Weld.WeldPointExitBuilder.FeatureInfo[] features)
 Gets the information for the newly created features. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.Weld.WeldPointExitBuilder.CommandName 
CommandUsed [get]
 Returns the command name that was last used to create features. More...
 

Detailed Description

Represents a NXOpen.Weld.WeldPointExitBuilder class used to pass welding object from the Weld Point command to a user callback.

This object is not used on edit.

Created in NX8.0.2

Member Enumeration Documentation

The command name used for the newly created features.

Enumerator
None 

No command.

Used to initialize value.

WeldPoint 

Weld Point command

DatumLocator 

Datum Locator command

MeasurementLocator 

Measurement Locator command

Jointmark 

Joint Mark command

WeldPointWizard 

Weld Point Wizard command

The method use to create the features.

Enumerator
None 

No method specified.

Used to initialize value.

Mirror 

Feature was created using the mirror method.

Translate 

Feature was created using the translate method.

GuideCurve 

Feature was created using the guide curves method.

Points 

Feature was created using the points method.

GuideCurveMovedOff 

Feature was created using the guide curves method, but user moved it off.

Member Function Documentation

unsafe void NXOpen.Weld.WeldPointExitBuilder.GetFeatureInformation ( out NXOpen.Weld.WeldPointExitBuilder.FeatureInfo[]  features)

Gets the information for the newly created features.

Created in NX8.0.2

License requirements: None.

Parameters
featuresfeatures created
unsafe bool NXOpen.Weld.WeldPointExitBuilder.Validate ( )

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Weld.WeldPointExitBuilder.CommandName NXOpen.Weld.WeldPointExitBuilder.CommandUsed
get

Returns the command name that was last used to create features.

This callback is not called on edit.

Created in NX8.0.2

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.